Package org.eclipse.mat.internal.collectionextract

# Class LinkedListCollectionExtractor

java.lang.Object
org.eclipse.mat.internal.collectionextract.FieldSizedCollectionExtractor
org.eclipse.mat.internal.collectionextract.LinkedListCollectionExtractor

All Implemented Interfaces:
  `ICollectionExtractor`

public class LinkedListCollectionExtractor extends FieldSizedCollectionExtractor

## Constructor Summary

Constructors
Constructor
Description
`LinkedListCollectionExtractor(String sizeField, String leadField)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`extractEntryIds(IObject list)`
Returns the object ids (int) for all objects which are contained in the collection
`Integer`
`getSize(IObject coll)`
Extract the size of the collection.
`boolean`
`hasExtractableContents()`
Check if the collection has extractable contents
`boolean`
`hasSize()`
Check if the size of the collection can be extracted.

### Methods inherited from class org.eclipse.mat.internal.collectionextract.FieldSizedCollectionExtractor

`extractEntries, getCapacity, getFillRatio, getNumberOfNotNullElements, hasCapacity, hasExtractableArray, hasFillRatio`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkedListCollectionExtractor

public LinkedListCollectionExtractor(String sizeField, String leadField)

## Method Details

### hasExtractableContents

public boolean hasExtractableContents()
Description copied from interface: `ICollectionExtractor`
Check if the collection has extractable contents

Specified by:
  `hasExtractableContents` in interface `ICollectionExtractor`
Overrides:
  `hasExtractableContents` in class `FieldSizedCollectionExtractor`
Returns:
  true if `ICollectionExtractor.extractEntryIds(IObject)` could be called
See Also:
  - `ICollectionExtractor.extractEntryIds(IObject)`

### extractEntryIds

public int[] extractEntryIds(IObject list) throws SnapshotException
Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `FieldSizedCollectionExtractor`
Parameters:
  `list` - - the collection to find the objects it holds
Returns:
  an array of ints which are the object ids.
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  - `ICollectionExtractor.hasExtractableContents()`

### hasSize

public boolean hasSize()
Description copied from interface: `ICollectionExtractor`
Check if the size of the collection can be extracted.

Specified by:
  `hasSize` in interface `ICollectionExtractor`
Overrides:
  `hasSize` in class `FieldSizedCollectionExtractor`
Returns:
  true if `ICollectionExtractor.getSize(IObject)` could be called
See Also:
  - `ICollectionExtractor.getSize(IObject)`

### getSize

public Integer getSize(IObject coll) throws SnapshotException
Description copied from interface: `ICollectionExtractor`
Extract the size of the collection.

Specified by:
  `getSize` in interface `ICollectionExtractor`
Overrides:
  `getSize` in class `FieldSizedCollectionExtractor`
Parameters:
  `coll` - - the collection to find the size of
Returns:
  the size, or null if not available
Throws:
  `SnapshotException` - if there is a problem retrieving data from the snapshot
See Also:
  - `ICollectionExtractor.hasSize()`